diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/test_exclusion_constraint_msql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/test_exclusion_constraint_msql.py
new file mode 100644
index 000000000..d18d46172
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/test_exclusion_constraint_msql.py
@@ -0,0 +1,100 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+
+import uuid
+from unittest.mock import patch
+
+from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
+    import utils as tables_utils
+from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
+    utils as schema_utils
+from pgadmin.browser.server_groups.servers.databases.tests import utils as \
+    database_utils
+from pgadmin.utils.route import BaseTestGenerator
+from regression import parent_node_dict
+from regression.python_test_utils import test_utils as utils
+from . import utils as exclusion_utils
+
+
+class ExclusionGetTestCase(BaseTestGenerator):
+    """This class will fetch modified sql for constraint to existing table"""
+    url = '/browser/exclusion_constraint/msql/'
+
+    # Generates scenarios from cast_test_data.json file
+    scenarios = utils.generate_scenarios("exclusion_constraint_msql",
+                                         exclusion_utils.test_cases)
+
+    def setUp(self):
+        super(ExclusionGetTestCase, self).setUp()
+        # Load test data
+        self.data = self.test_data
+
+        # Create db connection
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        schema_info = parent_node_dict["schema"][-1]
+        self.server_id = schema_info["server_id"]
+        self.db_id = schema_info["db_id"]
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 self.server_id, self.db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database to fetch a check "
+                            "constraint.")
+
+        # Create schema
+        self.schema_id = schema_info["schema_id"]
+        self.schema_name = schema_info["schema_name"]
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema to fetch a check "
+                            "constraint.")
+
+        # Create table
+        self.table_name = "table_exclusion_%s" % \
+                          (str(uuid.uuid4())[1:8])
+        self.table_id = tables_utils.create_table(self.server,
+                                                  self.db_name,
+                                                  self.schema_name,
+                                                  self.table_name)
+
+        # Create constraint to modify
+        self.exclusion_constraint_name = \
+            "test_exclusion_delete_%s" % (str(uuid.uuid4())[1:8])
+        self.exclusion_constraint_id = exclusion_utils.\
+            create_exclusion_constraint(self.server, self.db_name,
+                                        self.schema_name, self.table_name,
+                                        self.exclusion_constraint_name)
+
+        # Cross check constraint creation
+        cross_check_res = exclusion_utils.verify_exclusion_constraint(
+            self.server, self.db_name, self.exclusion_constraint_name)
+        if not cross_check_res:
+            raise Exception("Could not find the exclusion constraint "
+                            "to delete.")
+
+    def runTest(self):
+        """This function will fetch modified sql for constraint to table."""
+        if self.is_positive_test:
+            req_arg = '?oid=' + str(self.exclusion_constraint_id) + \
+                '&name=' + self.data['name'] + \
+                '&comment=' + self.data['comment'] + \
+                '&fillfactor=' + str(self.data['fillFactor'])
+
+            response = exclusion_utils.api_get_msql(self, req_arg)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+            self.assertIn(self.data['comment'], response.json['data'])
+            self.assertIn(self.data['name'], response.json['data'])
+            self.assertIn(str(self.data['fillFactor']), response.json['data'])
+
+    def tearDown(self):
+        # Disconnect the database
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/test_exclusion_constraint_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/test_exclusion_constraint_put.py
index 924d64088..e7541d0df 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/test_exclusion_constraint_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/test_exclusion_constraint_put.py
@@ -9,6 +9,7 @@
 
 import json
 import uuid
+from unittest.mock import patch
 
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
     import utils as tables_utils
@@ -24,12 +25,16 @@ from . import utils as exclusion_utils
 
 class IndexesUpdateTestCase(BaseTestGenerator):
     """This class will update the existing exclusion constraint."""
-    scenarios = [
-        ('Put exclusion constraint URL',
-         dict(url='/browser/exclusion_constraint/obj/'))
-    ]
+    url = '/browser/exclusion_constraint/obj/'
+    # Generates scenarios from cast_test_data.json file
+    scenarios = utils.generate_scenarios("exclusion_constraint_put",
+                                         exclusion_utils.test_cases)
 
     def setUp(self):
+        # Load test data
+        self.data = self.test_data
+
+        # Create db connection
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
         self.server_id = schema_info["server_id"]
@@ -38,6 +43,8 @@ class IndexesUpdateTestCase(BaseTestGenerator):
                                                  self.server_id, self.db_id)
         if not db_con['data']["connected"]:
             raise Exception("Could not connect to database to add a table.")
+
+        # Create schema
         self.schema_id = schema_info["schema_id"]
         self.schema_name = schema_info["schema_name"]
         schema_response = schema_utils.verify_schemas(self.server,
@@ -45,32 +52,46 @@ class IndexesUpdateTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to add a table.")
-        self.table_name = "table_column_%s" % (str(uuid.uuid4())[1:8])
+
+        # Create table
+        self.table_name = "test_exclusion_put_%s" % (str(uuid.uuid4())[1:8])
         self.table_id = tables_utils.create_table(self.server, self.db_name,
                                                   self.schema_name,
                                                   self.table_name)
-        self.index_name = "test_exclusion_delete_%s" % (str(uuid.uuid4())[1:8])
-        self.index_id = exclusion_utils.create_exclusion_constraint(
-            self.server, self.db_name, self.schema_name, self.table_name,
-            self.index_name
-        )
+
+        # Create constraint to update
+        self.exclusion_constraint_name = \
+            "test_exclusion_put_%s" % (str(uuid.uuid4())[1:8])
+        self.exclusion_constraint_id = exclusion_utils.\
+            create_exclusion_constraint(self.server, self.db_name,
+                                        self.schema_name, self.table_name,
+                                        self.exclusion_constraint_name)
+
+        # Cross check constraint creation
+        cross_check_res = exclusion_utils.verify_exclusion_constraint(
+            self.server, self.db_name, self.exclusion_constraint_name)
+        if not cross_check_res:
+            raise Exception("Could not find the exclusion constraint "
+                            "to delete.")
 
     def runTest(self):
         """This function will update an existing exclusion constraint"""
-        index_response = exclusion_utils.verify_exclusion_constraint(
-            self.server, self.db_name, self.index_name)
-        if not index_response:
-            raise Exception("Could not find the exclusion constraint.")
-        data = {"oid": self.index_id,
-                "comment": "This is test comment for index"}
-        response = self.tester.put(
-            "{0}{1}/{2}/{3}/{4}/{5}/{6}".format(self.url, utils.SERVER_GROUP,
-                                                self.server_id, self.db_id,
-                                                self.schema_id, self.table_id,
-                                                self.index_id),
-            data=json.dumps(data),
-            follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
+        self.data["oid"] = self.exclusion_constraint_id
+
+        if self.is_positive_test:
+            response = exclusion_utils.api_put(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+        else:
+            if self.mocking_required:
+                with patch(self.mock_data["function_name"],
+                           side_effect=[eval(self.mock_data["return_value"])]):
+                    response = exclusion_utils.api_put(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+            utils.assert_error_message(self, response)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/test_exclusion_constraint_sql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/test_exclusion_constraint_sql.py
new file mode 100644
index 000000000..9b82ce9ac
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/test_exclusion_constraint_sql.py
@@ -0,0 +1,99 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+
+import uuid
+from unittest.mock import patch
+
+from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
+    import utils as tables_utils
+from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
+    utils as schema_utils
+from pgadmin.browser.server_groups.servers.databases.tests import utils as \
+    database_utils
+from pgadmin.utils.route import BaseTestGenerator
+from regression import parent_node_dict
+from regression.python_test_utils import test_utils as utils
+from . import utils as exclusion_utils
+
+
+class ExclusionGetTestCase(BaseTestGenerator):
+    """This class will fetch sql for the existing exclusion constraint"""
+    url = '/browser/exclusion_constraint/sql/'
+    # Generates scenarios from cast_test_data.json file
+    scenarios = utils.generate_scenarios("exclusion_constraint_sql",
+                                         exclusion_utils.test_cases)
+
+    def setUp(self):
+        # Load test data
+        self.data = self.test_data
+
+        # Create db connection
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        schema_info = parent_node_dict["schema"][-1]
+        self.server_id = schema_info["server_id"]
+        self.db_id = schema_info["db_id"]
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 self.server_id, self.db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database to add a table.")
+
+        # Create schema
+        self.schema_id = schema_info["schema_id"]
+        self.schema_name = schema_info["schema_name"]
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema to add a table.")
+
+        # Create table
+        self.table_name = "table_exclusion_%s" % (str(uuid.uuid4())[1:8])
+        self.table_id = tables_utils.create_table(self.server, self.db_name,
+                                                  self.schema_name,
+                                                  self.table_name)
+
+        # Create constraint to fetch
+        self.exclusion_constraint_name = \
+            "test_exclusion_delete_%s" % (str(uuid.uuid4())[1:8])
+        self.exclusion_constraint_id = exclusion_utils.\
+            create_exclusion_constraint(self.server, self.db_name,
+                                        self.schema_name, self.table_name,
+                                        self.exclusion_constraint_name)
+
+        # Cross check constraint creation
+        cross_check_res = exclusion_utils.verify_exclusion_constraint(
+            self.server, self.db_name, self.exclusion_constraint_name)
+        if not cross_check_res:
+            raise Exception("Could not find the exclusion constraint "
+                            "to delete.")
+
+    def runTest(self):
+        """This function will fetch sql for constraint to table."""
+        if self.is_positive_test:
+            response = exclusion_utils.api_get(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+        else:
+            if self.mocking_required:
+                with patch(self.mock_data["function_name"],
+                           side_effect=[eval(self.mock_data["return_value"])]):
+                    response = exclusion_utils.api_get(self)
+            elif 'exclusion_constraint_id' in self.data:
+                self.exclusion_constraint_id = \
+                    self.data["exclusion_constraint_id"]
+                response = exclusion_utils.api_get(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+            utils.assert_error_message(self, response)
+
+    def tearDown(self):
+        # Disconnect the database
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/utils.py
index 88ae6b001..6cc2531a9 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/utils.py
@@ -9,10 +9,74 @@
 
 
 import sys
+import os
 import traceback
+import json
 
 from regression.python_test_utils import test_utils as utils
 
+# Load test data from json file.
+CURRENT_PATH = os.path.dirname(os.path.realpath(__file__))
+with open(CURRENT_PATH + "/exclusion_constraint_test_data.json") as data_file:
+    test_cases = json.load(data_file)
+
+
+# api call methods
+def api_create(self):
+    return self.tester.post("{0}{1}/{2}/{3}/{4}/{5}/".
+                            format(self.url, utils.SERVER_GROUP,
+                                   self.server_id, self.db_id,
+                                   self.schema_id, self.table_id),
+                            data=json.dumps(self.data),
+                            content_type='html/json'
+                            )
+
+
+def api_delete(self, exclusion_constraint_id=None):
+    if exclusion_constraint_id is None:
+        exclusion_constraint_id = self.exclusion_constraint_id
+    return self.tester.delete("{0}{1}/{2}/{3}/{4}/{5}/{6}".
+                              format(self.url, utils.SERVER_GROUP,
+                                     self.server_id, self.db_id,
+                                     self.schema_id, self.table_id,
+                                     exclusion_constraint_id),
+                              data=json.dumps(self.data),
+                              follow_redirects=True
+                              )
+
+
+def api_get(self, exclusion_constraint_id=None):
+    if exclusion_constraint_id is None:
+        exclusion_constraint_id = self.exclusion_constraint_id
+    return self.tester.get("{0}{1}/{2}/{3}/{4}/{5}/{6}".
+                           format(self.url, utils.SERVER_GROUP,
+                                  self.server_id, self.db_id,
+                                  self.schema_id, self.table_id,
+                                  exclusion_constraint_id),
+                           follow_redirects=True
+                           )
+
+
+def api_get_msql(self, req_args):
+    return self.tester.get("{0}{1}/{2}/{3}/{4}/{5}/{6}{7}".
+                           format(self.url, utils.SERVER_GROUP,
+                                  self.server_id, self.db_id,
+                                  self.schema_id, self.table_id,
+                                  self.exclusion_constraint_id,
+                                  req_args),
+                           follow_redirects=True
+                           )
+
+
+def api_put(self):
+    return self.tester.put("{0}{1}/{2}/{3}/{4}/{5}/{6}".
+                           format(self.url, utils.SERVER_GROUP,
+                                  self.server_id, self.db_id,
+                                  self.schema_id, self.table_id,
+                                  self.exclusion_constraint_id),
+                           data=json.dumps(self.data),
+                           follow_redirects=True)
+
 
 def create_exclusion_constraint(server, db_name, schema_name, table_name,
                                 key_name):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_add.py
index b3eef6ea9..46d7b8972 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_add.py
@@ -9,6 +9,7 @@
 
 import json
 import uuid
+from unittest.mock import patch
 
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
     import utils as tables_utils
@@ -19,16 +20,22 @@ from pgadmin.browser.server_groups.servers.databases.tests import utils as \
 from pgadmin.utils.route import BaseTestGenerator
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
+from . import utils as fk_utils
 
 
 class ForeignKeyAddTestCase(BaseTestGenerator):
     """This class will add foreign key to existing table"""
-    scenarios = [
-        ('Add foreign Key constraint to table',
-         dict(url='/browser/foreign_key/obj/'))
-    ]
+    url = '/browser/foreign_key/obj/'
+
+    # Generates scenarios
+    scenarios = utils.generate_scenarios("foreign_key_create",
+                                         fk_utils.test_cases)
 
     def setUp(self):
+        # Load test data
+        self.data = self.test_data
+
+        # Create db connection
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
         self.server_id = schema_info["server_id"]
@@ -38,6 +45,8 @@ class ForeignKeyAddTestCase(BaseTestGenerator):
         if not db_con['data']["connected"]:
             raise Exception("Could not connect to database to add a foreign "
                             "key constraint.")
+
+        # Create schema
         self.schema_id = schema_info["schema_id"]
         self.schema_name = schema_info["schema_name"]
         schema_response = schema_utils.verify_schemas(self.server,
@@ -46,12 +55,16 @@ class ForeignKeyAddTestCase(BaseTestGenerator):
         if not schema_response:
             raise Exception("Could not find the schema to add a foreign "
                             "key constraint.")
+
+        # Create local table
         self.local_table_name = "table_foreignkey_%s" % \
                                 (str(uuid.uuid4())[1:8])
         self.local_table_id = tables_utils.create_table(self.server,
                                                         self.db_name,
                                                         self.schema_name,
                                                         self.local_table_name)
+
+        # Create foreign table
         self.foreign_table_name = "table_foreignkey_%s" % \
                                   (str(uuid.uuid4())[1:8])
         self.foreign_table_id = tables_utils.create_table(
@@ -60,20 +73,42 @@ class ForeignKeyAddTestCase(BaseTestGenerator):
 
     def runTest(self):
         """This function will add foreign key table column."""
-        foreignkey_name = "test_foreignkey_add_%s" % \
-                          (str(uuid.uuid4())[1:8])
-        data = {"name": foreignkey_name,
-                "columns": [{"local_column": "id",
-                             "references": self.foreign_table_id,
-                             "referenced": "id"}],
-                "confupdtype": "a", "confdeltype": "a", "autoindex": False}
-        response = self.tester.post(
-            self.url + str(utils.SERVER_GROUP) + '/' +
-            str(self.server_id) + '/' + str(self.db_id) +
-            '/' + str(self.schema_id) + '/' + str(self.local_table_id) + '/',
-            data=json.dumps(data),
-            content_type='html/json')
-        self.assertEquals(response.status_code, 200)
+        # FK name
+        if "name" in self.data:
+            fk_name = self.data["name"] + (str(uuid.uuid4())[1:8])
+            self.data["name"] = fk_name
+        else:
+            fk_name = self.local_table_name + '_' + \
+                self.data["columns"][0]["local_column"] + '_fkey'
+
+        # FK table name
+        if "columns" in self.data:
+            self.data["columns"][0]["references"] = self.foreign_table_id
+
+        if self.is_positive_test:
+            response = fk_utils.api_create(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+
+            # Verify in backend
+            cross_check_res = fk_utils.verify_foreignkey(self.server,
+                                                         self.db_name,
+                                                         self.local_table_name,
+                                                         fk_name)
+            self.assertIsNotNone(cross_check_res,
+                                 "Could not find foreign key.")
+        else:
+            if self.mocking_required:
+                with patch(self.mock_data["function_name"],
+                           side_effect=eval(self.mock_data["return_value"])):
+                    response = fk_utils.api_create(self)
+            else:
+                response = fk_utils.api_create(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+            utils.assert_error_message(self, response)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_delete.py
index 63260043a..4b1d2ec92 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_delete.py
@@ -8,6 +8,7 @@
 ##########################################################################
 
 import uuid
+from unittest.mock import patch
 
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
     import utils as tables_utils
@@ -23,12 +24,17 @@ from . import utils as fk_utils
 
 class ForeignKeyDeleteTestCase(BaseTestGenerator):
     """This class will delete foreign key to existing table"""
-    scenarios = [
-        ('Delete foreign Key constraint.',
-         dict(url='/browser/foreign_key/obj/'))
-    ]
+    url = '/browser/foreign_key/obj/'
+
+    # Generates scenarios
+    scenarios = utils.generate_scenarios("foreign_key_delete",
+                                         fk_utils.test_cases)
 
     def setUp(self):
+        # Load test data
+        self.data = self.test_data
+
+        # Create db connection
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
         self.server_id = schema_info["server_id"]
@@ -39,6 +45,8 @@ class ForeignKeyDeleteTestCase(BaseTestGenerator):
             raise Exception(
                 "Could not connect to database to delete a foreign "
                 "key constraint.")
+
+        # Create schema
         self.schema_id = schema_info["schema_id"]
         self.schema_name = schema_info["schema_name"]
         schema_response = schema_utils.verify_schemas(self.server,
@@ -47,37 +55,65 @@ class ForeignKeyDeleteTestCase(BaseTestGenerator):
         if not schema_response:
             raise Exception("Could not find the schema to delete a foreign "
                             "key constraint.")
+
+        # Create local table
         self.local_table_name = "local_table_foreignkey_delete_%s" % \
                                 (str(uuid.uuid4())[1:8])
         self.local_table_id = tables_utils.create_table(
             self.server, self.db_name, self.schema_name, self.local_table_name)
+
+        # Create foreign table
         self.foreign_table_name = "foreign_table_foreignkey_delete_%s" % \
                                   (str(uuid.uuid4())[1:8])
         self.foreign_table_id = tables_utils.create_table(
             self.server, self.db_name, self.schema_name,
             self.foreign_table_name)
+
+        # Create foreign key
         self.foreign_key_name = "test_foreignkey_delete_%s" % \
                                 (str(uuid.uuid4())[1:8])
         self.foreign_key_id = fk_utils.create_foreignkey(
             self.server, self.db_name, self.schema_name, self.local_table_name,
             self.foreign_table_name)
 
-    def runTest(self):
-        """This function will delete foreign key attached to table column."""
-        fk_response = fk_utils.verify_foreignkey(self.server, self.db_name,
-                                                 self.local_table_name)
-        if not fk_response:
+        # Cross check
+        cross_check_res = fk_utils.verify_foreignkey(self.server,
+                                                     self.db_name,
+                                                     self.local_table_name)
+        if not cross_check_res:
             raise Exception("Could not find the foreign key constraint to "
                             "delete.")
-        response = self.tester.delete(
-            "{0}{1}/{2}/{3}/{4}/{5}/{6}".format(self.url, utils.SERVER_GROUP,
-                                                self.server_id, self.db_id,
-                                                self.schema_id,
-                                                self.local_table_id,
-                                                self.foreign_key_id),
-            follow_redirects=True
-        )
-        self.assertEquals(response.status_code, 200)
+
+    def runTest(self):
+        """This function will delete foreign key attached to table column."""
+        if self.is_positive_test:
+            if self.is_list:
+                self.data['ids'] = [self.foreign_key_id]
+                response = fk_utils.api_delete(self, '')
+            else:
+                response = fk_utils.api_delete(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+
+            # Verify in backend
+            cross_check_res = fk_utils.verify_foreignkey(self.server,
+                                                         self.db_name,
+                                                         self.local_table_name)
+            self.assertIsNone(cross_check_res,
+                              "Deleted foreign key still present")
+        else:
+            if self.mocking_required:
+                with patch(self.mock_data["function_name"],
+                           side_effect=[eval(self.mock_data["return_value"])]):
+                    response = fk_utils.api_delete(self)
+            elif 'foreign_key_id' in self.data:
+                self.foreign_key_id = self.data["foreign_key_id"]
+                response = fk_utils.api_delete(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+            utils.assert_error_message(self, response)
 
     def tearDown(self):
         # Disconnect the database
